<template lang="">
    <div class="body">
        <div class="box-title">
            <div class="child-box">
                <p class="title title--body">Todos User {{$route.params.id}}</p>
            </div>
        <div class="child-box-r">
            <span></span> <span></span> <span></span>
        </div>
    </div>
    <Table
        :columns="columns"
        :data="todos"
    >
        <template v-slot:completed="{ item }">
            <input type="checkbox" :checked="item.completed"  />
        </template>
        <template v-slot:options="{ item }">
             <Button type="button" @onclick="deleteTodo(item.id)">Eliminar</Button>
        </template>
    </Table>
    </div>
</template>
<script>
import { mapState, mapActions } from "vuex";
import Button from "../../../components/Button.vue";
import Table from "../../../components/Table.vue";
export default {
  components: {
    Table,
    Button,
  },
  computed: {
    ...mapState(["todos"]),
    columns() {
      return [
        {
          id: "id",
          name: " Id",
        },
        {
          id: "title",
          name: "Task Title",
        },
        {
          id: "completed",
          name: "Completed",
          isSlot: true,
        },
        {
          id: "options",
          name: "Options",
          isSlot: true,
        },
      ];
    },
  },
  mounted() {
    this.loadTodos(this.$route.params.id);
  },
  methods: {
    ...mapActions(["loadTodos"]),
    deleteTodo(id) {
      this.$store.dispatch("deleteTodo",id)
    }
  },
};
</script>
<style lang="">
</style>